import prologue
import nimja/parser

proc renderTemplate(templateName: static[string]): string =
  compileTemplateFile(getScriptDir() & "/templates/" & templateName)

proc getIndex*(ctx: Context) {.async.} =
  resp renderTemplate(templateName="index.nwt")

proc getAbout*(ctx: Context) {.async.} =
  resp renderTemplate(templateName="about.nwt")

export getIndex, getAbout
